cURL
curl --request GET \
--url https://api.trychart.com/tax-payer \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trychart.com/tax-payer"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trychart.com/tax-payer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "clxjfvx74000f11di1uq2u8xm",
"name": "Joe Doe",
"provider_id": "irs-tax-pro",
"created_at": "2024-06-17T20:40:03.965Z",
"status": "TAX_AUTHORIZATION_SUBMITTED",
"metadata": {},
"analysis": {
"total_liabilities": "5000",
"liabilities_with_lien_filed": "3000",
"tin": "123456789",
"employment_history": [
{
"type": "WAID",
"year": "2023",
"employer": {
"ein": "XXXXX2003",
"name": "CHAR",
"address": "609 WA"
}
}
]
},
"details": {
"address": {
"street_address": "123 Main St",
"city": "San Francisco",
"state": "CA",
"zip_code": "94101"
},
"balance_summary": {
"balance_due": 5000,
"tax_years": [
{
"amount": 2500,
"year": "2023"
}
]
}
},
"form8821": "<string>"
}Taxpayer
Taxpayer
Retrieve taxpayer information associated with an access_token.
GET
/
tax-payer
cURL
Authorizations
Please use your access_token returned from the /auth/token endpoint.
Response
200 - application/json
Introspect Response
The Chart UUID of the taxpayer. Returned from the /auth/token endpoint.
Example:
"clxjfvx74000f11di1uq2u8xm"
Example:
"Joe Doe"
Available options:
turbotax, hr, taxact, tax_slayer, jackson, free_tax_usa, irs, irs_tax_pro, pilot, cch_axcess, drake, proconnect, chart-sandbox Example:
"irs-tax-pro"
Example:
"2024-06-17T20:40:03.965Z"
Available options:
CREATED, CONSENT_RECEIVED, TAX_AUTHORIZATION_SUBMITTED, AUTHORIZED, REJECTED, COMPLETED Example:
"TAX_AUTHORIZATION_SUBMITTED"
Custom metadata identifying external fields about the taxpayer.
Aggregated analysis of the taxpayer's tax situation across all tax records.
Show child attributes
Show child attributes
Taxpayer's account details depending on the provider.
Show child attributes
Show child attributes
A pre-signed URL pointing to the raw IRS Form 8821 file retrieved from the provider. Returns a PDF file. The URL expires after 12 hours.
Was this page helpful?